CREATE TABLE {schema}.tagcache(
  resource_id bigint,
  datelastmodified character varying,
  basisofrecord character varying,
  institutioncode character varying,
  collectioncode character varying(16),
  catalognumber character varying,
  collectornumber character varying,
  fieldnumber character varying,
  manufacturer character varying,
  model character varying,
  code_space character varying,
  serial_number character varying,
  tag_implant_type character varying,
  tag_activation_date character varying,
  tagger character varying,
  principal_investigator character varying,
  sourceofrecord character varying,
  citation text,
  pi_organization character varying,
  collector character varying,
  release_date timestamp without time zone,
  locality character varying,
  release_latitude numeric,
  release_longitude numeric,
  end_date timestamp without time zone,
  relationshiptype character varying,
  relatedcatalogitem text)
WITH (
  OIDS=FALSE
);

CREATE TABLE {schema}.animalcache
(
  resource_id bigint,
  datelastmodified character varying,
  basisofrecord character varying,
  institutioncode character varying(200),
  collectioncode character varying(16),
  catalognumber character varying,
  sourceofrecord character varying(16),
  citation text,
  collector character varying,
  collectornumber character varying,
  fieldnumber text,
  pit_tag_code character varying,
  common_name character varying,
  taxon_id character varying,
  scientificname character varying,
  wild_ind character varying,
  stock character varying,
  length numeric,
  length_type character varying,
  observedweight numeric,
  age character varying,
  sex character varying,
  dna_sample_ind character varying,
  capture_location character varying,
  capture_depth numeric,
  capture_latitude numeric,
  capture_longitude numeric,
  release_date timestamp without time zone,
  release_location character varying,
  release_latitude numeric,
  release_longitude numeric,
  comments character varying
)
WITH (
  OIDS=FALSE
);

